Kerbal Space Program - Bug #6011

Incorrect World Record report of leaving sun's gravity
12/06/2015 05:35 AM - Anonymous
Target version:
Expansion:

Description

| just got my first probe into solar orbit in a new game started under 1.0.5, and after | switched to a new launch, | noticed | had gotten
a world record for escaping the sun's gravity. | checked back and my probe is still happily in solar orbit, slightly offset from Kerbin's,
so | can't see anything | did to trigger this event.

Here's the relevant fragment of my save file:
Sun

reached = 269823.649643943
Orbit

{
completedUnmanned = 269824.649643943

vessel
{
name = Test
flag = Squad/Flags/hexagonCircles
}
}
Escape

{

completedUnmanned = 270087.351987799
}
Science

{
completedUnmanned = 269995.105464304

vessel
{
name = Test
flag = Squad/Flags/hexagonCircles
}
}
Flyby

{
completedUnmanned = 269823.649643943

}
The probe, the only thing that's ever even gone outside the Mun's orbit, doesn't show that in its trip logger, though.
Log

flight = 0

= Flight,Kerbin
Suborbit, Kerbin
Escape, Kerbin
Flyby, Sun

= Orbit, Sun
So | don't know what the game thinks escaped the sun's gravity, but it wasn't anything of mine...

History

#1 - 12/07/2015 10:32 PM - Squelch

- Status changed from New to Need More Info

It certainly is a strange occurrence, and escaping the gravity well of the Sun is practically impossible in KSP.
Could you please confirm that you are not using any mods? Could you also upload the complete save file too?

#2 - 12/08/2015 09:10 AM - taniwha

| would like to add that there will never be a log entry for going outside Mun's orbit. Orbit height is mostly irrelevant: iKSP cares only about being
suborbital (periapsis in the atmosphere or ground), orbital (periapsis above the atmosphere or ground, and apoapsis positive and within the body's
sphere of influence), or escaping (apoapsis negative (hyperbolic) or outside the body's sphere of influence).

#3 - 12/08/2015 01:11 PM - Anonymous
- File persistent.sfs added
OK, I'm uploading my persistent. | had a couple launches after the probe that went weird, but it should be mostly the same.

| do have a couple mods, but nothing major -- Module Manager, Active Texture Management, MechJeb, Surface Mounted Lights, and then | added
Hyperedit while attempting to reproduce the event in a new game (which | couldn't).

#6 - 12/08/2015 03:33 PM - Squelch
- Status changed from Need More Info to Confirmed

- % Done changed from 0 to 10

Thanks for reporting this.
After some research, it has been found to be an existing issue that has already been logged internally. The reproduction is to set a craft on an escape
trajectory for a particular SOI, and then switch away to another craft or KSC. The transition of the SOl while unfocused is what triggers the event. The
actual implications of the result seem to be benign, but recent changes to the world firsts detection have made it more obvious as you observe.
This issue has been linked to the existing issue for dev attention.
#7 - 12/10/2015 03:34 AM - Anonymous
taniwha wrote:

| would like to add that there will never be a log entry for going outside Mun's orbit.
I know. | wasn't expecting a log for leaving the mun's orbit. | was saying nothing else | have has even gone beyond the mun, much less escaped
from Kerbin's SOI. The "that" in the sentence was not referring to 'going beyond the mun' but rather 'escaping the sun', which was logged in the

previous fragment. | was saying that no ship except that one had ever gone so far, and that ship didn't show the 'escaping the sun' log, which made
me confused as to where it came from.

#8 - 12/10/2015 03:36 AM - Anonymous
Squelch wrote:
Thanks for reporting this.
After some research, it has been found to be an existing issue that has already been logged internally. The reproduction is to set a craft on an

escape trajectory for a particular SOI, and then switch away to another craft or KSC.

It must not happen every time, because that's what | did while trying to reproduce it, but it didn't re-occur. Anyway, thanks, and glad you're already on
top of it!

#10 - 07/17/2016 09:41 AM - TriggerAu
- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0
Files

persistent.sfs 323 KB 12/08/2015 Anonymous
